> ## Documentation Index
> Fetch the complete documentation index at: https://docs.didit.me/llms.txt
> Use this file to discover all available pages before exploring further.

# BankID（スウェーデン）本人確認API

> DiditでスウェーデンのBankIDによる本人確認を自社アプリケーションに連携できます。対応国、認証ステップ、結果、料金を確認できます。

アプリケーションのAPIキーを使用して、バックエンドからBankID Swedenによる認証を開始します。
ワークフローや`workflow_id`は必要ありません。
開始時のレスポンスは次に行う認証アクションを示すものであり、承認済みの本人確認結果ではありません。

## 対応範囲と有効化

| 項目 | 値 |
| - | - |
| ウォレット | BankID Sweden |
| ウォレットID | `bankid_se` |
| 国 | ![](https://didit-public-assets.s3.eu-west-1.amazonaws.com/flags/se.svg)スウェーデン |
| 本番環境でのウォレット有効化 | ✅ 利用可能 |
| 公開されているウォレット料金 | 完了した認証1件あたり\$0.20 |

ウォレットの有効化は、APIのデプロイやお使いのアプリケーションの利用資格とは別に扱われます。
エンドポイントがドキュメントに記載されていても、Coming soonと表示されているウォレットが有効になるわけではありません。
現在公開されている料金については、[デジタルIDウォレットの料金](https://docs.didit.me/ja/getting-started/pricing.md#デジタルidウォレットの料金)をご覧ください。

## 本人が行う操作

開始リクエストから返される次のアクションに従ってください。
本人がブラウザ、別のデバイス、アプリのいずれを使用するかは、ウォレットの認証体験によって決まります。

## 結果の受け取り

[デジタルIDウォレットAPIガイド](https://docs.didit.me/ja/standalone-apis/digital-id-wallets.md)に従って、検証の状況を追跡し、結果を取得してください。
ウォレットが本人を認証したことの証拠として扱えるのは、完了して検証済みとなった結果のみです。
返される本人属性はウォレットによって異なります。住所、顔写真、またはリクエストしたすべての属性が含まれているとは限りません。

## 関連情報

* [デジタルIDウォレットAPI](https://docs.didit.me/ja/standalone-apis/digital-id-wallets.md)
* [ウォレットの対応範囲と属性](https://docs.didit.me/ja/core-technology/id-verification/digital-id-wallets.md)
* [料金](https://docs.didit.me/ja/getting-started/pricing.md#デジタルidウォレットの料金)


## OpenAPI

````yaml ja/openapi-25.json POST /v3/id-verification/wallets/bankid-se/
openapi: 3.0.0
info:
  version: 3.0.0
  title: Didit Verification API
  description: 本人確認API。x-api-keyヘッダーで認証します。
servers:
  - url: https://verification.didit.me
security: []
tags: []
paths:
  /v3/id-verification/wallets/bankid-se/:
    post:
      tags:
        - Digital ID wallets
      summary: BankID (SWE)認証を開始
      description: >-
        ワークフローを使わずに、BankID (SWE)（Finansiell
        ID-Teknik/銀行コンソーシアム、SWE）によるサインインを開始します。本人確認が完了した場合にのみ、1回だけ課金されます。レスポンスにはnext_action.type=redirectと、ユーザーのブラウザを遷移させるURLが含まれます。ユーザーは、request_idとresultが付加されたreturn_urlに戻ります。結果はGET
        /v3/id-verification/wallets/verifications/{request_id}/またはWebhookから取得し、URLからは決して読み取らないでください。サンドボックスのアプリケーションでは、プロバイダーに一切接続しない決定論的なシミュレーション（simulated:
        true）が返されます。
      operationId: start_bankid_se_wallet_verification
      parameters:
        - in: header
          name: Idempotency-Key
          schema:
            type: string
          description: >-
            任意の再試行安全キーです（最大255文字）。同じキー、ウォレット、リクエストボディで再試行すると、2回目のサインインを開始せずに元の検証結果が返されます。同じキーで別のウォレットまたはリクエストボディを指定すると、409
            idempotency_key_reusedが返されます。
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/DigitalIdWalletApiBankidSeWalletVerificationStartRequest
            example:
              country: SWE
              vendor_data: your-customer-reference
              metadata:
                reference: example
              return_url: https://app.example.com/identity/complete
          application/x-www-form-urlencoded:
            schema:
              $ref: >-
                #/components/schemas/DigitalIdWalletApiBankidSeWalletVerificationStartRequest
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/DigitalIdWalletApiBankidSeWalletVerificationStartRequest
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DigitalIdWalletApiWalletVerificationResponse
              example:
                request_id: 00000000-0000-4000-8000-000000000001
                wallet_verification:
                  wallet:
                    id: bankid_se
                    name: BankID
                    issuing_authority: Finansiell ID-Teknik / bank consortium
                  country: SWE
                  status: Not Finished
                  outcome: pending
                  error: null
                  interaction: redirect
                  simulated: false
                  expires_at: '2026-01-01T10:10:00Z'
                  next_action:
                    type: redirect
                    url: https://wallet.example.com/authorize
                  identity: null
                  attributes: null
                  level_of_assurance: null
                  verified_at: null
                  signature_valid: null
                  credential_type: person_identification
                vendor_data: your-customer-reference
                metadata:
                  reference: example
                created_at: '2026-01-01T10:00:00Z'
          description: ''
        '400':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DigitalIdWalletApiWalletVerificationStartBadRequest
          description: >-
            フィールドのバリデーションエラー({field:
            [messages]})、またはエラーreturn_url_invalid、return_url_not_allowed、invalid_personal_code、invalid_phone_number、idempotency_key_invalid。
        '403':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DigitalIdWalletApiWalletVerificationStartForbidden
          description: >-
            認証情報がありません（{detail}）。または、エラーwallet_unavailable、insufficient_creditsまたはcontract_rate_missingです。
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DigitalIdWalletApiWalletVerificationError'
          description: >-
            エラーidempotency_key_reusedまたはidempotency_key_in_progress（Retry-After付き）。
        '502':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DigitalIdWalletApiWalletVerificationError'
          description: エラーwallet_provider_unavailable：プロバイダーを開始できませんでした。何も作成されていません。
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DigitalIdWalletApiWalletVerificationError'
          description: エラーwallet_not_configured：この環境はウォレットに接続できません。
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request POST \
              --url https://verification.didit.me/v3/id-verification/wallets/bankid-se/ \
              --header 'x-api-key: YOUR_API_KEY' \
              --header 'Idempotency-Key: your-unique-attempt-key' \
              --header 'Content-Type: application/json' \
              --data '{
              "country": "SWE",
              "vendor_data": "your-customer-reference",
              "metadata": {
                "reference": "example"
              },
              "return_url": "https://app.example.com/identity/complete"
            }'
        - lang: python
          label: Python
          source: |-
            from didit import Didit

            # Reads DIDIT_API_KEY.
            client = Didit()

            result = client.id_wallets.start_bankid_se(
                vendor_data="your-customer-reference",
                metadata={"reference": "example"},
                country="SWE",
                return_url="https://app.example.com/identity/complete",
            )
            print(result)
        - lang: javascript
          label: Node.js
          source: |-
            import Didit from "@didit-protocol/sdk-node";

            // Reads DIDIT_API_KEY.
            const didit = new Didit();

            const result = await didit.idWallets.startBankidSe({
              vendor_data: "your-customer-reference",
              metadata: { reference: "example" },
              country: "SWE",
              return_url: "https://app.example.com/identity/complete",
            });
            console.log(result);
        - lang: go
          label: Go
          source: "ctx := context.Background()\n// Reads DIDIT_API_KEY.\nclient := didit.NewClient()\n\nresult, err := client.IDWallets.StartBankidSe(ctx, didit.IDWalletsStartBankidSeParams{\n\tBody: didit.DigitalIDWalletAPIBankidSeWalletVerificationStartRequest{\n\t\tVendorData: didit.String(\"your-customer-reference\"),\n\t\tMetadata:   didit.Some(map[string]any{\"reference\": \"example\"}),\n\t\tCountry:    didit.Some(didit.DigitalIDWalletAPICountryEe9enum(\"SWE\")),\n\t\tReturnURL:  \"https://app.example.com/identity/complete\",\n\t},\n})\nif err != nil {\n\tlog.Fatal(err)\n}\nfmt.Printf(\"%+v\\n\", result)"
        - lang: java
          label: Java
          source: >-
            import java.util.Map;

            import me.didit.Didit;

            import
            me.didit.types.DigitalIdWalletApiBankidSeWalletVerificationStartRequest;

            import me.didit.types.DigitalIdWalletApiCountryEe9Enum;


            // Reads DIDIT_API_KEY.

            Didit client = new Didit();


            var result =
            client.idWallets().startBankidSe(DigitalIdWalletApiBankidSeWalletVerificationStartRequest.builder()
                    .vendorData("your-customer-reference")
                    .metadata(Map.of("reference", "example"))
                    .country(DigitalIdWalletApiCountryEe9Enum.of("SWE"))
                    .returnUrl("https://app.example.com/identity/complete")
                    .build());
            System.out.println(result);
        - lang: php
          label: PHP
          source: |-
            <?php

            require 'vendor/autoload.php';

            use Didit\DiditClient;

            // Reads DIDIT_API_KEY.
            $didit = new DiditClient();

            $result = $didit->idWallets->startBankidSe([
                'vendor_data' => 'your-customer-reference',
                'metadata' => ['reference' => 'example'],
                'country' => 'SWE',
                'return_url' => 'https://app.example.com/identity/complete',
            ]);
            print_r($result->toArray());
        - lang: ruby
          label: Ruby
          source: |-
            require "didit"

            # Reads DIDIT_API_KEY.
            didit = Didit::Client.new

            result = didit.id_wallets.start_bankid_se(
              vendor_data: "your-customer-reference",
              metadata: { reference: "example" },
              country: "SWE",
              return_url: "https://app.example.com/identity/complete"
            )
            puts result.to_h
        - lang: csharp
          label: .NET
          source: >-
            using System;

            using System.Collections.Generic;

            using System.Text.Json;

            using Didit;


            // Reads DIDIT_API_KEY.

            using var client = new DiditClient();


            var result = await client.IdWallets.StartBankidSeAsync(new
            DigitalIdWalletApiBankidSeWalletVerificationStartRequest

            {
                VendorData = "your-customer-reference",
                Metadata = new Dictionary<string, object> { ["reference"] = "example" },
                Country = new DigitalIdWalletApiCountryEe9Enum("SWE"),
                ReturnUrl = "https://app.example.com/identity/complete",
            });

            Console.WriteLine(JsonSerializer.Serialize(result));
components:
  schemas:
    DigitalIdWalletApiBankidSeWalletVerificationStartRequest:
      type: object
      description: BankIDによる本人確認を開始します(SWE)。
      properties:
        vendor_data:
          type: string
          nullable: true
          description: この認証に対するお客様独自の参照値です（例：お客様のユーザーID）。結果とWebhookで返されます。
        metadata:
          type: object
          additionalProperties: {}
          nullable: true
          description: 認証とともに保存され、結果とWebhookで返される任意のJSONオブジェクトです。
        sandbox_scenario:
          type: string
          minLength: 1
          description: >-
            サンドボックスアプリケーション専用：シミュレートする結果です。'wallet_cancelled'、'wallet_timeout'、'wallet_provider_error'のいずれかを指定し、それ以外のシナリオ（または指定なし）は検証済みになります。本番アプリケーションでは拒否されます。全カタログはGET
            /v1/sandbox/scenarios/で確認できます。
        country:
          allOf:
            - $ref: '#/components/schemas/DigitalIdWalletApiCountryEe9Enum'
          default: SWE
          description: >-
            BankIDの本人情報の国を示すISO 3166-1
            alpha-3コード。デフォルトはSWEで、このBankIDが対応する唯一の国です。


            * `SWE` - SWE
        return_url:
          type: string
          format: uri
          minLength: 1
          description: >-
            ウォレットでの操作後にユーザーのブラウザが戻るhttps
            URLで、request_idとresultが付加されます。このURLのホストは、アプリケーションのallowed_return_hostsに登録されている必要があります（またはアプリケーションのホワイトラベルドメインであること）。resultだけを信用しないでください。結果はGET
            .../verifications/{request_id}/またはWebhookで取得してください。
          maxLength: 2048
        device:
          allOf:
            - $ref: '#/components/schemas/DigitalIdWalletApiDeviceEnum'
          default: same_device
          description: >-
            ユーザーがお客様のページを表示しているデバイスでサインインする場合はsame_device、別のデバイスを使用する場合（例：BankIDのQRコード）はcross_device。


            * `same_device` - same_device

            * `cross_device` - cross_device
      required:
        - return_url
    DigitalIdWalletApiWalletVerificationResponse:
      type: object
      description: すべてのウォレットエンドポイントが返す形式の、単独のウォレット検証1件です。
      properties:
        request_id:
          type: string
          format: uuid
        wallet_verification:
          $ref: '#/components/schemas/DigitalIdWalletApiWalletVerificationResult'
        vendor_data:
          type: string
          nullable: true
        metadata:
          type: object
          additionalProperties: {}
          nullable: true
          description: 開始時に送信されたmetadataオブジェクト、またはnullです。
        created_at:
          type: string
          format: date-time
      required:
        - created_at
        - metadata
        - request_id
        - vendor_data
        - wallet_verification
    DigitalIdWalletApiWalletVerificationStartBadRequest:
      oneOf:
        - $ref: '#/components/schemas/DigitalIdWalletApiWalletVerificationError'
        - $ref: '#/components/schemas/DigitalIdWalletApiWalletVerificationFieldErrors'
    DigitalIdWalletApiWalletVerificationStartForbidden:
      oneOf:
        - $ref: >-
            #/components/schemas/DigitalIdWalletApiClientCredentialsForbiddenErrorMessage
        - $ref: '#/components/schemas/DigitalIdWalletApiWalletVerificationError'
    DigitalIdWalletApiWalletVerificationError:
      type: object
      properties:
        error:
          type: string
          description: '安定した機械可読コード（例: wallet_unavailable）。'
        detail:
          type: string
      required:
        - detail
        - error
    DigitalIdWalletApiCountryEe9Enum:
      enum:
        - SWE
      type: string
      description: '* `SWE` - SWE'
    DigitalIdWalletApiDeviceEnum:
      enum:
        - same_device
        - cross_device
      type: string
      description: |-
        * `same_device` - same_device
        * `cross_device` - cross_device
    DigitalIdWalletApiWalletVerificationResult:
      type: object
      properties:
        wallet:
          allOf:
            - $ref: '#/components/schemas/DigitalIdWalletApiWallet'
          readOnly: true
        country:
          type: string
        status:
          type: string
          description: 保留中はNot Finished、その後Approved（認証済み）またはDeclinedになります。
        outcome:
          $ref: >-
            #/components/schemas/DigitalIdWalletApiWalletVerificationResultOutcomeEnum
        error:
          type: string
          nullable: true
          readOnly: true
        interaction:
          allOf:
            - $ref: '#/components/schemas/DigitalIdWalletApiInteractionEnum'
          readOnly: true
        simulated:
          type: boolean
          readOnly: true
        expires_at:
          type: string
          format: date-time
        next_action:
          allOf:
            - $ref: '#/components/schemas/DigitalIdWalletApiWalletNextAction'
          nullable: true
          readOnly: true
        identity:
          allOf:
            - $ref: '#/components/schemas/DigitalIdWalletApiWalletIdentity'
          nullable: true
          readOnly: true
        attributes:
          type: object
          additionalProperties: {}
          nullable: true
          readOnly: true
        level_of_assurance:
          type: string
          nullable: true
        verified_at:
          type: string
          format: date-time
          nullable: true
        signature_valid:
          type: boolean
          nullable: true
          description: クレデンシャルの署名が検証されるとtrue、シミュレートされたものの場合はnull。
        credential_type:
          type: string
          nullable: true
      required:
        - attributes
        - country
        - credential_type
        - error
        - expires_at
        - identity
        - interaction
        - level_of_assurance
        - next_action
        - outcome
        - signature_valid
        - simulated
        - status
        - verified_at
        - wallet
    DigitalIdWalletApiWalletVerificationFieldErrors:
      type: object
      description: リクエストのバリデーションエラー：拒否された各フィールドとそのメッセージ。
      additionalProperties:
        type: array
        items:
          type: string
    DigitalIdWalletApiClientCredentialsForbiddenErrorMessage:
      type: object
      properties:
        detail:
          type: string
          default: Forbidden - User doesn't have permission
    DigitalIdWalletApiWallet:
      type: object
      properties:
        id:
          type: string
          description: 'ウォレットのカタログID（例: bankid_se）。'
        name:
          type: string
        issuing_authority:
          type: string
          nullable: true
      required:
        - id
        - issuing_authority
        - name
    DigitalIdWalletApiWalletVerificationResultOutcomeEnum:
      enum:
        - pending
        - verified
        - cancelled
        - timeout
        - failed
      type: string
      description: |-
        * `pending` - 保留中
        * `verified` - 検証済み
        * `cancelled` - ユーザーによりキャンセル
        * `timeout` - タイムアウト
        * `failed` - 失敗
    DigitalIdWalletApiInteractionEnum:
      enum:
        - redirect
        - in_app
        - digital_credentials
      type: string
      description: |-
        * `redirect` - redirect
        * `in_app` - in_app
        * `digital_credentials` - digital_credentials
    DigitalIdWalletApiWalletNextAction:
      type: object
      properties:
        type:
          allOf:
            - $ref: '#/components/schemas/DigitalIdWalletApiWalletNextActionTypeEnum'
          description: >-
            redirect：ユーザーのブラウザをurlに遷移させます。confirm_in_app：verification_codeをユーザーに表示します。ユーザーはそれがウォレットアプリ内のコードと一致することを確認し、ウォレットアプリで承認します。その後、ポーリングしてください。request_digital_credential：開始時と同じオリジン上で、ユーザー操作の中でdigital_credentials.requestを使ってウォレットにリクエストし、返された内容をPOST
            .../verifications/{request_id}/response/に送信します。


            * `redirect` - redirect

            * `confirm_in_app` - confirm_in_app

            * `request_digital_credential` - request_digital_credential
        url:
          type: string
          format: uri
          description: redirectのみ：ユーザーがウォレットでサインインする場所。
        digital_credentials:
          allOf:
            - $ref: >-
                #/components/schemas/DigitalIdWalletApiWalletDigitalCredentialsRequest
          description: request_digital_credentialのみ：ウォレットに渡すリクエスト。
        verification_code:
          type: string
          description: confirm_in_appのみ：ウォレットアプリにも表示される4桁の照合コード。
        poll_interval_seconds:
          type: integer
          description: >-
            confirm_in_appのみ：迅速なフィードバックを得るためにPOST
            .../verifications/{request_id}/poll/を呼び出す間隔。Diditは保留中のサインインもバックグラウンドでポーリングするため、ポーリングしない場合でもWebhookが結果を通知します。
      required:
        - type
    DigitalIdWalletApiWalletIdentity:
      type: object
      properties:
        full_name:
          type: string
          nullable: true
        first_name:
          type: string
          nullable: true
        last_name:
          type: string
          nullable: true
        date_of_birth:
          type: string
          format: date
          nullable: true
        nationality:
          type: string
          nullable: true
          description: ISO3形式の国籍。ウォレットが国籍を示している場合のみ返されます（推測されることはありません）。
        issuing_state:
          type: string
          description: IDを発行したスキームの国を示すISO3コード。
      required:
        - date_of_birth
        - first_name
        - full_name
        - issuing_state
        - last_name
        - nationality
    DigitalIdWalletApiWalletNextActionTypeEnum:
      enum:
        - redirect
        - confirm_in_app
        - request_digital_credential
      type: string
      description: |-
        * `redirect` - redirect
        * `confirm_in_app` - confirm_in_app
        * `request_digital_credential` - request_digital_credential
    DigitalIdWalletApiWalletDigitalCredentialsRequest:
      type: object
      properties:
        protocol:
          type: string
          description: openid4vp-v1-signed。
        request:
          type: object
          additionalProperties: {}
          description: >-
            そのまま渡してください。ブラウザではnavigator.credentials.get({digital:
            request})、AndroidではGetDigitalCredentialOptionのrequestJsonとしてJSON.stringify(request)を使用します。Diditがお客様のアプリケーション向けに署名しています。
      required:
        - protocol
        - request
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        お客様のアプリケーションのAPIキーです。Business ConsoleのDevelopers -> API
        keysで取得できます。プライマリキーはフルアクセス権を持ちます。名前付きキーにはスコープを設定できます。リソースごとのアクセス権（なし、読み取り、書き込み）、一部のワークフローまたは承認済みセッションへの限定、IPアドレスのリストへの限定、有効期限の設定です。401は、キーが誤っている、失効している、または期限切れであることを意味します。403は、キーが送信されていない、キーにこのリソースやアクションへのアクセス権がない、またはIPリスト外のアドレスからリクエストが送信されたことを意味します。セッションのルートでの404は、セッションがキーのワークフローまたはステータスの対象外であることを意味します。メディアへのアクセス権がないキーでは、画像、動画、PDFのURLがnullで返されます。セッションの書き込み権限がないキーでは、セッションのリンクとトークンがnullで返されます。詳細は次を参照してください:
        https://docs.didit.me/console/api-keys
    BearerAuth:
      type: http
      scheme: bearer
      description: アプリケーションのクライアントクレデンシャルのアクセストークン。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.